package com.flossom.system.service;


import com.flossom.common.core.domain.entity.SysRegion;

import java.util.List;


/**
 * 地区列Service接口
 *
 * @author flossom
 * @date 2023-12-12
 */
public interface ISysRegionService {
    /**
     * 查询地区列
     *
     * @param id 地区列主键
     * @return 地区列
     */
    public SysRegion selectSysRegionById(Long id);

    /**
     * 查询地区列列表
     *
     * @param sysRegion 地区列
     * @return 地区列集合
     */
    public List<SysRegion> selectSysRegionList(SysRegion sysRegion);

    /**
     * 新增地区列
     *
     * @param sysRegion 地区列
     * @return 结果
     */
    public int insertSysRegion(SysRegion sysRegion);

    /**
     * 修改地区列
     *
     * @param sysRegion 地区列
     * @return 结果
     */
    public int updateSysRegion(SysRegion sysRegion);

    /**
     * 批量删除地区列
     *
     * @param ids 需要删除的地区列主键集合
     * @return 结果
     */
    public int deleteSysRegionByIds(Long[] ids);

    /**
     * 删除地区列信息
     *
     * @param id 地区列主键
     * @return 结果
     */
    public int deleteSysRegionById(Long id);

    List<SysRegion> getRegionByPid(Long pid);
}
